can't compile kernel with debian

Kernels & Hardware, configuring network, installing services

can't compile kernel with debian

Postby jhalpin » 2019-09-02 18:07

debian buster
Linux opus 4.19.0-5-amd64 #1 SMP Debian 4.19.37-5+deb10u2 (2019-08-08) x86_64 GNU/Linux

These are the steps I used:

apt source linux
make defconfig
make menuconfig
disable ipv6
add -no-ip6 to version

make -j4 deb-pkg
make[2]: *** [debian/rules:4: build] Error 2
dpkg-buildpackage: error: debian/rules build subprocess returned exit status 2
make[1]: *** [scripts/package/Makefile:75: deb-pkg] Error 2
make: *** [Makefile:1379: deb-pkg] Error 2


from google people say this is due to a space in debian/rules. However it looks like that file is generated during the build so I don't see how I could change it. I have changed it, but it gets overridden. I know this has been discussed for a while now, but I can't find a solution. Is the rules file generated, if so how could I get it to work correctly?

EDIT: I just tried it with a mainline kernel 4.19.69) and it build fine. Not sure what's going on, I guess I'll just use those from now on.
jhalpin
 
Posts: 1
Joined: 2019-09-01 21:48

Re: can't compile kernel with debian

Postby None1975 » 2019-09-03 12:42

OS: Debian 10.3 Buster / WM: twm
Debian Wiki | DontBreakDebian, My config files in github
User avatar
None1975
 
Posts: 989
Joined: 2015-11-29 18:23
Location: Lithuania, Vilnius

Re: can't compile kernel with debian

Postby stevepusser » 2019-09-03 17:59

The actual build error was further up in the terminal readout. Since you had four threads, the others kept going until they finished, so the actual error is behind all those.

Debian has their 4.19.67 kernel ready and waiting to go in the repo, just in the proposed-updates section. I went ahead and backported it to the MX Linux Stretch base: http://mxrepo.com/mx/testrepo/pool/test/l/linux/ :D
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kodi 18.6, Blender 2.8.2, 5.5 kernels, Chromium with va-api, Telegram-desktop 1.9.21, Clipgrab 3.8.11
User avatar
stevepusser
 
Posts: 11566
Joined: 2009-10-06 05:53


Return to System configuration

Who is online

Users browsing this forum: No registered users and 13 guests

fashionable